org.apache.poi.hssf.record

## Class PrecisionRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.PrecisionRecord

- All Implemented Interfaces:
    Duplicatable

      public final class PrecisionRecord
      extends StandardRecord

  Defines whether to store with full precision or what's displayed by the gui (meaning have really screwed up and skewed figures or only think you do!)
  Version:
    2.0-pre

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `field_1_precision`
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrecisionRecord()`
    `PrecisionRecord(PrecisionRecord other)`
    `PrecisionRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrecisionRecord` | `copy()`
    `protected int` | `getDataSize()`
    `boolean` | `getFullPrecision()` get whether to use full precision or just skew all you figures all to hell.
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setFullPrecision(boolean fullprecision)` set whether to use full precision or just skew all you figures all to hell.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### field_1_precision

          public short field_1_precision

  - ### Constructor Detail

    - #### PrecisionRecord

          public PrecisionRecord()

    - #### PrecisionRecord

          public PrecisionRecord(PrecisionRecord other)

    - #### PrecisionRecord

          public PrecisionRecord(RecordInputStream in)

  - ### Method Detail

    - #### setFullPrecision

          public void setFullPrecision(boolean fullprecision)

      set whether to use full precision or just skew all you figures all to hell.
      Parameters:
        `fullprecision` - - or not

    - #### getFullPrecision

          public boolean getFullPrecision()

      get whether to use full precision or just skew all you figures all to hell.
      Returns:
        fullprecision - or not

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### copy

          public PrecisionRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.